package org.springblade.estate.feign;

import org.springblade.core.tool.api.R;
import org.springblade.estate.dto.SnapRecordDTO;
import org.springblade.estate.entity.SnapRecord;
import org.springblade.estate.vo.SnapRecordVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class SnapRecordClientFallback implements ISnapRecordClient {
            /**
         * 详情
         */
        @Override
        public SnapRecordVO detail(SnapRecord snapRecord) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<SnapRecordVO> list(SnapRecord snapRecord) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( SnapRecord snapRecord) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( SnapRecord snapRecord) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( SnapRecord snapRecord) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public R generateSnapRecord(SnapRecordDTO snapRecordDTO) {
		return null;
	}

}
